C -- column
E -- element
I -- item
S -- style
T -- treectrl

==========

T activate I

T canvasx $x

T canvasy $y

T cget $option

T collapse I ...

T column XXX
	T column bbox C

	T column cget C $option

	T column configure C
	T column configure C $option
	T column configure C $option $value ...
		-arrow
		-arrowside
		-arrowgravity
		-arrowpad
		-bitmap
		-border
		-borderwidth
		-button
		-expand
		-font
		-image
		-imagepadx
		-imagepady
		-itembackground
		-justify
		-minwidth
		-relief
		-stepwidth
		-sunken
		-tag
		-text
		-textcolor
		-textpadx
		-textpady
		-width
		-visible
		-widthhack

	T column delete C

	T column index C

	T column move C C

	T column neededwidth C

	T column width C

T compare I $op I
	$op "<", "<=", "==", ">=", ">", "!="

T configure
T configure $option
T configure $option $value ...
	-background
	-backgroundmode
	-borderwidth
	-buttoncolor
	-buttonsize
	-buttonthickness
	-closedbuttonbitmap
	-closedbuttonimage
	-columnproxy
	-cursor
	-doublebuffer
	-font
	-foreground
	-height
	-highlightbackground
	-highlightcolor
	-highlightthickness
	-indent
	-itemheight
	-linecolor
	-linestyle
	-linethickness
	-openbuttonbitmap
	-openbuttonimage
	-orient
	-relief
	-scrollmargin
	-selectmode
	-showbuttons
	-showheader
	-showlines
	-showroot
	-showrootbutton
	-takefocus
	-treecolumn
	-width
	-wrap
	-xscrollcommand
	-xscrolldelay
	-xscrollincrement
	-yscrollcommand
	-yscrolldelay
	-yscrollincrement

T contentbox

T debug XXX
	T debug cget $option

	T debug configure
	T debug configure $option
	T debug configure $option $value ...
		-displaydelay
		-data
		-display
		-enable
		-erasecolor

	T debug dinfo

	T debug scroll

T depth
T depth I

T dragimage XXX
	T dragimage add I
	T dragimage add I C
	T dragimage add I C E ...

	T dragimage cget $option

	T dragimage clear
	
	T dragimage configure
	T dragimage configure $option
	T dragimage configure $option $value ...

	T dragimage offset
	T dragimage offset $x $y

	T dragimage visible
	T dragimage visible $boolean

T element XXX
	T element cget E $option

	T element configure E
	T element configure E $option
	T element configure E $option $value ...

	--- bitmap ---
		-background
		-bitmap
		-foreground

	--- border ---
		-background
		-filled
		-height
		-relief
		-thickness
		-width

	--- image ---
		-height
		-image
		-width

	--- rect ---
		-fill
		-height
		-open
		-outline
		-outlinewidth
		-showfocus
		-width

	--- text ---
		-data
		-datatype
		-format
		-fill
		-font
		-justify
		-lines
		-text
		-width
		-wrap

	T element create $name $type $option $value ...

	T element delete E ...

	T element names

	T element type E

T expand I ...

T identify $x $y

T index I

T item XXX
	T item ancestors I

	T item bbox I

	T item children I

	T item complex I {{E $option $value ...} ...} {{E $option $value ...} ...}

	T item create

	T item delete I
	T item delete I I

	T item dump I

	T item element XXX
		T item element actual I C E $option

		T item element cget I C E $option

		T item element configure I C E
		T item element configure I C E $option
		T item element configure I C E $option $value ...

	T item hasbutton I
	T item hasbutton I $boolean

	T item firstchild I
	T item firstchild I I

	T item lastchild I
	T item lastchild I I

	T item nextsibling I
	T item nextsibling I I

	T item numchildren I

	T item index I

	T item isancestor I I

	T item parent I

	T item prevsibling I
	T item prevsibling I I

	T item remove I

	T item rnc I

	T item sort I $option $value ...
		-first I (default firstchild)
		-last I (default lastchild)
		-command $cmd
		-dictionary
		-integer
		-real
		-increasing
		-decreasing
		-column C (default 0)
		-element E (default first "text")

	T item state get I
	T item state get I $state
	T item state set I $stateDesc
	T item state set I I $stateDesc

	T item style XXX
		T item style elements I C

		T item style map I C S {E E ...}

		T item style set I
		T item style set I C
		T item style set I C S ...

	T item text I C
	T item text I C $text

T marquee XXX
	T marquee anchor
	T marquee anchor $x $y

	T marquee cget $option

	T marquee configure
	T marquee configure $option
	T marquee configure $option $value ...

	T marquee coords
	T marquee coords $x $y $x $y

	T marquee corner
	T marquee corner $x $y

	T marquee identify

	T marquee visible
	T marquee visible $boolean

T notify XXX
	T notify bind
	T notify bind $object
	T notify bind $object $pattern
	T notify bind $object $pattern $script

	T notify configure $object $pattern $option $value ...
		-active

	T notify detailnames $eventName

	T notify eventnames

	T notify generate $pattern
	T notify generate $pattern $charMap

	T notify install event $eventName
	T notify install event $eventName $percentsCmd

	T notify install detail $eventName $detailName
	T notify install detail $eventName $detailName $percentsCmd

	T notify linkage $eventName
	T notify linkage $eventName $detailName

	T notify uninstall event $eventName

	T notify uninstall detail $eventName $detailName

T numcolumns

T numitems

T orphans

T range I I

T see I

T selection XXX
	T selection add I
	T selection add I I

	T selection anchor
	T selection anchor I

	T selection clear
	T selection clear I
	T selection clear I I

	T selection count

	T selection get

	T selection includes I

	T selection modify $select $deselect

T state XXX
	T state define $stateName

	T state undefine $stateName

	T state linkage $stateName

	T state names

T style XXX
	T style cget S $option

	T style configure S
	T style configure S $option
	T style configure S $option $value ...
		-orient

	T style create $name $option $value ...

	T style delete S ...

	T style elements S
	T style elements S {E ...}

	T style layout S E
	T style layout S E $option $value ...
		-pad
		-pady
		-ipadx
		-ipady
		-expand
		-iexpand
		-detach
		-squeeze
		-union

	T style names

T toggle I ...

T xview XXX
	T xview

	T xview moveto $fraction

	T xview scroll $number pages

	T xview scroll $number units

T yview XXX
	T yview

	T yview moveto $fraction

	T yview scroll $number pages

	T yview scroll $number units

